ISOQUERY(1)

NUME
isoquery - caută și afișează diverse coduri ISO (țară, limbă, ...)

SINOPSIS

isoquery [OPȚIUNE …] [coduri ISO]

DESCRIERE

Această pagină de manual documentează pe scurt comanda isoquery. Aceasta poate fi utilizată pentru a genera o ieșire separată prin tabulatoare a codurilor standard ISO furnizate de pachetul iso-codes. Aceasta analizează fișierele JSON și afișează toate codurile ISO incluse sau doar intrările corespunzătoare, dacă se specifică în linia de comandă. În plus, este posibil să se obțină toate traducerile disponibile pentru standardul ISO.

OPȚIUNI

Acest program urmează sintaxa obișnuită a liniei de comandă GNU, cu opțiuni lungi care încep cu două liniuțe („-”). isoquery acceptă următoarele opțiuni:

-i, --iso=STANDARD
    Standardul ISO de utilizat. Valorile posibile sunt: 639-2, 639-3, 639-5, 3166-1, 3166-2, 3166-3, 4217, 15924 (implicit: 3166-1)

-p, --pathname=NUMELE RUTEI
    Utilizează NUMELE RUTEI ca prefix pentru fișierele de date (implicit: „/usr/share/iso-codes/json)”

-l, --locale=LOCALE
    Utilizează această configurație regională (LOCALE) pentru ieșire

-n, --name
    Nume pentru codurile furnizate (implicit)

-o, --official_name
    Numele oficial pentru codurile furnizate. Acesta poate fi același cu --name (se aplică numai la ISO 3166-1)

-c, --common_name
    Nume comun pentru codurile furnizate. Acesta poate fi același cu --name (se aplică numai la ISO 639-2, 639-3 și 3166-1)

-0, --null
    Separă intrările cu un caracter NULL în loc de linie nouă

-f, --flag
    Afișează steagurile țărilor cu literele simbolurilor indicatoare regionale (se aplică numai la ISO 3166-1)

-h, --help
    Afișează un rezumat al opțiunilor

-v, --version
    Afișează versiunea programului și drepturile de autor

EXEMPLE

Dacă este apelat fără nicio opțiune în linia de comandă, isoquery va afișa un tabel cu toate codurile ISO 3166-1. Primele trei coloane conțin codul alfa-2, codul alfa-3 și codul numeric atribuit țării listate în coloana a patra.

    $ isoquery
    AW      ABW     533     Aruba
    […]
    ZW      ZWE     716     Zimbabwe

Dacă aveți nevoie doar de câteva țări, puteți specifica oricare dintre codurile din primele trei coloane pentru a reduce volumul datelor de ieșire.

    $ isoquery so nor 484
    SO      SOM     706     Somalia
    NO      NOR     578     Norway
    MX      MEX     484     Mexico

Dacă aveți nevoie de traducerea numelor țărilor, trebuie doar să specificați în ce limbă LOCALE doriți să vedeți rezultatul. Vă rugăm să rețineți că numele original în limba engleză va fi afișat dacă nu există nicio traducere disponibilă pentru limba LOCALE specificată.

    $ isoquery --locale=nl fr de es
    FR      FRA     250     Frankrijk
    DE      DEU     276     Duitsland
    ES      ESP     724     Spanje

Dacă terminalul dvs. acceptă literele Unicode ale simbolului indicatorului regional, puteți utiliza opțiunea de linie de comandă --flag. Aceste litere pot fi afișate ca un steag al țării.

    $ isoquery --flag --locale=nl fr de es
    FR      FRA     250     🇫🇷      Frankrijk
    DE      DEU     276     🇩🇪      Duitsland
    ES      ESP     724     🇪🇸      Spanje

Toate cele de mai sus funcționează și pentru diferite standarde ISO, astfel încât puteți trece la standardul mai extins ISO 3166-2 utilizând opțiunea de linie de comandă --iso. Coloanele sunt codul ISO 3166-2, tipul de subset (de exemplu, stat, provincie etc.), părintele și numele. A treia coloană (părintele) poate fi goală.

    $ isoquery --iso=3166-2
    AD-02   Parish          Canillo
    […]
    ZW-MW   Province        Mashonaland West

Codurile care au fost eliminate din ISO 3166-1 sunt disponibile în ISO 3166-3. Coloanele sunt codul alfa-3, codul alfa-4, codul numeric, comentariul, data retragerii și numele. Coloanele pentru codul numeric, comentariu și data retragerii pot fi goale.

    $ isoquery --iso=3166-3
    AFI     AIDJ    262             1977    French Afars and Issas
    ANT     ANHH    532             1993-07-12      Netherlands Antilles
    […]
    YUG     YUCS    891             1993-07-28      Yugoslavia, Socialist Federal Republic of
    ZAR     ZRCD    180             1997-07-14      Zaire, Republic of

Pentru ISO 639-2, primele trei coloane sunt codul alfa-3, codul bibliografic și codul alfa-2. A doua și a treia coloană pot fi goale.

    $ isoquery --iso=639-2
    aar             aa      Afar
    abk             ab      Abkhazian
    ace                     Achinese
    […]
    zun                     Zuni
    zxx                     No linguistic content; Not applicable
    zza                     Zaza; Dimili; Dimli; Kirdki; Kirmanjki; Zazaki

Puteți reduce rezultatele specificând doar unele coduri. În plus, este disponibilă și opțiunea de a obține denumiri traduse.

    $ isoquery --iso=639-2 --locale=pt vi bo kl
    vie             vi      Vietnamita
    bod     tib     bo      tibetano
    kal             kl      Kalaallisut; Greenlandic

Dacă doriți să utilizați ISO 639-3, coloanele afișate sunt alfa-3, domeniul de aplicare, tipul, alfa-2, bibliografic și numele limbii. Atât alfa-2, cât și bibliografic pot fi goale.

    $ isoquery -i 639-3 aal new spa guc
    aal     I       L                       Afade
    new     I       L                       Newari
    spa     I       L       es              Spanish
    guc     I       L                       Wayuu

ISO 639-5 este de asemenea disponibil. Coloanele afișate sunt alfa-3 și numele.

    $ isoquery -i 639-5 aus tut
    aus     Australian languages
    tut     Altaic languages

Puteți obține traduceri selectate ale numelor de monede din standardul ISO 4217 utilizând următoarea comandă. Prima dintre coloane este codul alfa-3, iar a doua este codul numeric atribuit monedei. Numele monedei este afișat în a treia coloană.

    $ isoquery --iso=4217 --locale=da cad 392
    CAD     124     Canadisk dollar
    JPY     392     Yen

Dacă trebuie să obțineți numele scrierilor, puteți utiliza tabelul ISO 15924. Prima dintre coloane este codul alfa-4, iar a doua este codul numeric atribuit scrierii. Numele scrierii este indicat în a treia coloană.

    $ isoquery --iso=15924 jpan latn 280
    Jpan    413     Japanese (alias for Han + Hiragana + Katakana)
    Latn    215     Latin
    Visp    280     Visible Speech

FIȘIERE

În mod implicit, vor fi utilizate fișierele JSON furnizate de pachetul iso-codes.

    • /usr/share/iso-codes/json/iso_639-2.json

    • /usr/share/iso-codes/json/iso_639-3.json

    • /usr/share/iso-codes/json/iso_639-5.json

    • /usr/share/iso-codes/json/iso_3166-1.json

    • /usr/share/iso-codes/json/iso_3166-2.json

    • /usr/share/iso-codes/json/iso_3166-3.json

    • /usr/share/iso-codes/json/iso_4217.json

    • /usr/share/iso-codes/json/iso_15924.json

AUTOR

Dr. Tobias Quathamer